# Function inputDirective

- inputDirective(
  $browser: Browser,
  $filter: any,
  $parse: any,
  ): {
  link: { pre(scope: any, element: any, attr: any, ctrls: any): void };
  require: string[];
  restrict: string;
  }

  #### Parameters

  - $browser: Browser
  - $filter: any
  - $parse: any

  #### Returns {
  link: { pre(scope: any, element: any, attr: any, ctrls: any): void };
  require: string[];
  restrict: string;
  }

  - Defined in src/directive/input/input.js:988

##### Index

### Properties

$inject

## Properties

### $inject

$inject: string[]

#### Returns

- Defined in src/directive/input/input.js:980